<?php
namespace Teknisa\DF\Controllers;

use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Row;
use Zeedhi\Framework\DataSource\DataSet;


class Ger16200ConsistenciasFiscaisCotroller extends \Teknisa\DF\Controllers\TeknisaCrud {
    protected $dataSourceName = '';
    protected $dataSourceNameToSave ='';
    protected $parameterBagColumns = array();


    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        try {
            $this->dataSourceName='consistefiscal_relatorio';
            $this->parameterBagColumns = array("CDIMPOSTO");
            parent::find($request,$response);
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), 500));
        }
    }

}