<?php

/**
* 01/06/2015
* @author Gabriel@Silva
*/

namespace Teknisa\DF\Services;

use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DTO\Request\Row;
use Teknisa\DF\Factories;

class Ger01400MensagemService {
    protected $ger01400MensagemFactory;
    protected $environment;

    public function __construct(Factories\Ger01400MensagemFactory $ger01400MensagemFactory, $environment) {
        $this->ger01400MensagemFactory = $ger01400MensagemFactory;
        $this->environment = $environment;
    }

    public function validateMessage(Row $row) {
        $params =  array();
        $params["P_CDMENSAGEM"] = $row->getRow()['CDMENSAGEM'];
        $params["P_NRORG"]      = $this->environment->getNrOrgTrab();

        $retornoSelect = $this->ger01400MensagemFactory->getValidations($params);

        return $retornoSelect[0];
    }
}